commit:     a2ffa0135319731b75579fd1db5d885d733c7784
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 18 09:45:46 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Aug 18 09:46:08 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2ffa013

app-vim/bnf-syntax: EAPI 6 bump.

Package-Manager: portage-2.2.28

 app-vim/bnf-syntax/bnf-syntax-1.2-r2.ebuild | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/app-vim/bnf-syntax/bnf-syntax-1.2-r2.ebuild 
b/app-vim/bnf-syntax/bnf-syntax-1.2-r2.ebuild
new file mode 100644
index 0000000..f125500
--- /dev/null
+++ b/app-vim/bnf-syntax/bnf-syntax-1.2-r2.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: BNF file syntax highlighting"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=250";
+LICENSE="vim.org"
+KEYWORDS="~alpha ~amd64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPTEXT=\
+"This plugin provides syntax highlighting for BNF files."
+
+src_prepare() {
+       default
+       # fix hi link to use def, bug #101790.
+       sed -i -e 's,hi link,hi def link,g' syntax/bnf.vim || die "sed failed"
+}

Reply via email to